// DLaunchDlg.h : header file
//

#if !defined(AFX_DLAUNCHDLG_H__3014D386_0889_11D4_9FA8_A87B741ED15E__INCLUDED_)
#define AFX_DLAUNCHDLG_H__3014D386_0889_11D4_9FA8_A87B741ED15E__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000

#include "OptionList.h"

/////////////////////////////////////////////////////////////////////////////
// CDLaunchDlg dialog

class CDLaunchDlg : public CDialog
{
// Construction
public:
	void AskSave();
	void LoadOptionsFile(const CString &name);
	bool HasEnabledChildren(option_t *opt);
	int OptionAtPoint(LPPOINT screenpnt);
	void CreateItems(option_t *onlyOf = NULL);
	CDLaunchDlg(CWnd* pParent = NULL);	// standard constructor

public:
	void CheckOption(option_t *opt);
	void UpdateInterface();
	CString SearchForSingleDLO();
	CString		initialFile;

protected:
	CImageList	imglist;
	OptionList	opts;
	CString		dloName;
	bool		changed;

// Dialog Data
	//{{AFX_DATA(CDLaunchDlg)
	enum { IDD = IDD_DLAUNCH_DIALOG };
	CListBox	m_filesList;
	CStatic	m_logo;
	CTreeCtrl	m_options;
	//}}AFX_DATA

	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CDLaunchDlg)
	public:
	virtual BOOL DestroyWindow();
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:
	CString FormText(option_t *opt);
	HICON m_hIcon;

	// Generated message map functions
	//{{AFX_MSG(CDLaunchDlg)
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	afx_msg void OnClickOptions(NMHDR* pNMHDR, LRESULT* pResult);
	afx_msg void OnRclickOptions(NMHDR* pNMHDR, LRESULT* pResult);
	virtual void OnOK();
	afx_msg void OnOpenButton();
	afx_msg void OnSaveButton();
	afx_msg void OnDblclkFilesList();
	afx_msg void OnUpdateButton();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLAUNCHDLG_H__3014D386_0889_11D4_9FA8_A87B741ED15E__INCLUDED_)
