// SettingsDlg.cpp : implementation file
//

#include "stdafx.h"
#include "DLaunch.h"
#include "SettingsDlg.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg dialog


CSettingsDlg::CSettingsDlg(CWnd* pParent /*=NULL*/)
	: CDialog(CSettingsDlg::IDD, pParent)
{
	//{{AFX_DATA_INIT(CSettingsDlg)
	m_textEditor = _T("");
	m_warn = FALSE;
	m_closeOnStart = FALSE;
	//}}AFX_DATA_INIT
}


void CSettingsDlg::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSettingsDlg)
	DDX_Control(pDX, IDC_EDIT1, m_edit);
	DDX_Text(pDX, IDC_EDIT1, m_textEditor);
	DDX_Check(pDX, IDC_UPDATEWARN, m_warn);
	DDX_Check(pDX, IDC_CLOSEWHENSTART, m_closeOnStart);
	//}}AFX_DATA_MAP
}


BEGIN_MESSAGE_MAP(CSettingsDlg, CDialog)
	//{{AFX_MSG_MAP(CSettingsDlg)
	ON_BN_CLICKED(IDC_BROWSE, OnBrowse)
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSettingsDlg message handlers

void CSettingsDlg::OnBrowse() 
{
	CString		str;

	m_edit.GetWindowText(str);

	CFileDialog dlg(TRUE, NULL, str, 
		OFN_HIDEREADONLY | OFN_ENABLESIZING | OFN_FILEMUSTEXIST,
		"Executables (*.exe)|*.exe|All files (*.*)|*.*||");
		
	if(dlg.DoModal() == IDOK)
	{
		m_edit.SetWindowText(dlg.GetPathName());
	}
}
