#ifndef __JDOOM_ACTIONS_H__
#define __JDOOM_ACTIONS_H__

#include "../dd_share.h"

// These must correspond the action_t's in the actions array!
// Info needed in building ticcmds should be here.
typedef enum 
{
	// Game controls.
	DA_TURNLEFT,
	DA_TURNRIGHT,
	DA_FORWARD,
	DA_BACKWARD,
	DA_STRAFELEFT,
	DA_STRAFERIGHT,
	DA_FIRE,
	DA_USE,
	DA_STRAFE,
	DA_SPEED,
	DA_WEAPON1,
	DA_WEAPON2,
	DA_WEAPON3,
	DA_WEAPON4,
	DA_WEAPON5,
	DA_WEAPON6,
	DA_WEAPON7,
	DA_WEAPON8,
	DA_WEAPON9,
	DA_NEXTWEAPON,
	DA_PREVIOUSWEAPON,
	DA_MLOOK,
	DA_JLOOK,
	DA_LOOKUP,
	DA_LOOKDOWN,
	DA_LOOKCENTER,
	DA_JUMP,

	// Game system actions.
	DA_STOPDEMO,		

	NUM_ACTIONS
} haction_t;

// This is the actions array.
extern action_t actions[NUM_ACTIONS+1];

#endif