// Doom Network Defs

#ifndef __JDOOM_NETWORK_DEF_H__
#define __JDOOM_NETWORK_DEF_H__

typedef struct
{
	unsigned char	color : 4;
} plrdata_t;

int D_NetServerOpen(int before);
int D_NetServerClose(int before);
int D_NetServerStarted(int before);
int D_NetConnect(int before);
int D_NetDisconnect(int before);
int D_NetPlayerEvent(int plrNumber, int peType, void *data);

extern boolean	netDeathmatch, netNomonsters, netRespawn;
extern boolean	netJumping;
extern byte		netEpisode, netMap, netSkill, netSlot;
extern byte		netColor;

extern int		PlayerColor[MAXPLAYERS];


#endif