
// soundst.h

#ifndef __SOUNDSTH__
#define __SOUNDSTH__

#define snd_MaxVolume	gi.Get(DD_SFX_VOLUME)
#define snd_MusicVolume	gi.Get(DD_MIDI_VOLUME)

#include "R_Local.h"

void S_Start(void);
void S_StartSound(mobj_t *origin, int sound_id);
void S_StartSoundAtVolume(mobj_t *origin, int sound_id, int volume);
void S_StopSound(mobj_t *origin);
void S_PauseSound(void);
void S_ResumeSound(void);
void S_UpdateSounds(mobj_t *listener);
void S_StartSong(int song, boolean loop);
void S_Init(void);
void S_GetChannelInfo(SoundInfo_t *s);
void S_SetMaxVolume(boolean fullprocess);
void S_SetMusicVolume(void);

void S_NetStartSound(mobj_t *origin, int sound_id);
void S_NetAvoidStartSound(mobj_t *origin, int sound_id, player_t *not_to_player);
void S_StartSectorSound(sector_t *sector, int sound_id);

#endif
