#ifndef __JHERETIC_NETSV_H__
#define __JHERETIC_NETSV_H__

#include "P_local.h"

// NetSv_Sound() flags.
#define NSSF_MASK		0x7fffffff
#define NSSF_NOT		0x80000000	// Send to all except the specified client.

void NetSv_NewPlayerEnters(int plrnumber);
void NetSv_SendGameState(int flags, int to);
//void NetSv_PlaneMoves(int sector, boolean ceiling, fixed_t speed);
//void NetSv_InitTrackers(void); // Must be called after level init.
/*void NetSv_SectorReport(sector_t *sector, boolean isCeiling, fixed_t dest,
						fixed_t speed, int floorpic);*/
//void NetSv_LightReport(sector_t *sector);
//void NetSv_TextureChanges(int sidenum, int flags);
//void NetSv_SendWorldUpdate(int playernum);
void NetSv_SendMessage(int plrNum, char *msg);
void NetSv_SendPlayerState(int srcPlrNum, int destPlrNum, int flags, boolean reliable);
void NetSv_PSpriteChange(int plrNum, int state);
void NetSv_Sound(mobj_t *origin, int sound_id, int toPlr); // toPlr=0: broadcast.
void NetSv_SectorSound(sector_t *sector, int sound_id);
//void NetSv_PlaneSound(sector_t *sector, boolean isCeiling, int sound_id, int pace);
void NetSv_Intermission(int flags, int state, int time);
void NetSv_Finale(int flags);
void NetSv_SendPlayerInfo(int whose, int to_whom);
void NetSv_ChangePlayerInfo(int from, byte *data);
void NetSv_Ticker(void);

#endif