#ifndef __HERETIC_SETTINGS_H__
#define __HERETIC_SETTINGS_H__

#include "DoomDef.h"

typedef struct
{
	boolean	setsizeneeded;
	int		setblocks;
	int		screenblocks;
	int		sbarscale;
	int		chooseAndUse;
	int		usemlook;		// Mouse look (mouse Y => viewpitch)
	int		usejlook;		// Joy look (joy Y => viewpitch)
	int		alwaysRun;		// Always run.
	int		noAutoAim;		// No auto-aiming?
	int		mlookInverseY;	// Inverse mlook Y axis.
	int		jlookInverseY;	// Inverse jlook Y axis.
	int		showFullscreenMana, showFullscreenArmor, tomeCounter, tomeSound;
	int		showFPS, lookSpring;
	int		mouseSensiX, mouseSensiY;
	int		joySensi;		// Joystick sensitivity (dead zone).
	boolean	povLookAround;
	int		echoMsg;
	int		dclickuse, lookdirSpeed;
	int		ringFilter;
	
	int		xhair, xhairSize;
	byte	xhairColor[3];
	boolean	messageson;
	
	int		snd_3D;
	float	snd_ReverbFactor;
	boolean	reverbDebug;
	int		jumpEnabled;
	boolean	fastMonsters;
	
	// Networking.
	boolean	netDeathmatch, netNomonsters, netRespawn, netJumping;
	byte	netEpisode, netMap, netSkill, netSlot;
	byte	netColor;

	int		PlayerColor[MAXPLAYERS];
} jheretic_config_t;

extern jheretic_config_t cfg; // in g_game.c

#endif 