#ifndef __H2_NETWORK_DRIVER_H__
#define __H2_NETWORK_DRIVER_H__

#include "jtNetEx.h"

#define SPF_PRIORITY_MASK	0x0000ffff
#define SPF_FRAME			0x00010000
#define SPF_RELIABLE		0x80000000

extern int maxQueuePackets;

void I_NetShutdown();

void I_NetTicker(void);

void I_SendPacket(int flags);
boolean I_GetPacket();
boolean I_CheckSendQueue(int player);

char *I_GetProtocolName(void);
int I_NetUpdateNodes();
void I_NetServerStarted();
void I_NetServerStopping(boolean before);
void I_NetDisconnect(boolean before);
char *I_NetGetPlayerName(int player);
int I_NetSetPlayerData(void *data, int size);
int I_NetGetPlayerData(int playerNum, void *data, int size);
int I_NetSetServerData(void *data, int size);
int I_NetGetServerData(void *data, int size);

#endif // __H2_NETWORK_DRIVER_H__