#ifndef __JHEXEN_DYNLIGHTS_H__
#define __JHEXEN_DYNLIGHTS_H__

#include "gl_def.h"
#include "gl_rl.h"

// Setup.
void DL_SetRegisterEntrySize();
void DL_InitBlockMap();
void DL_Clear();	// 'Physically' destroy the tables.

// Action.
void DL_InitForNewFrame();
void DL_MarkForSubsector(subsector_t *sub);
void DL_ProcessFlats(rendquad_t *triangle, subsector_t *ssec);
void DL_ProcessWall(rendquad_t *quad, float v1[2], float v2[2]);

// Helpers.
boolean DL_RadiusIterator(fixed_t x, fixed_t y, fixed_t radius, boolean (*func)(lumobj_t*,fixed_t));

#endif