#ifndef __JHERETIC_ACTIONS_H__
#define __JHERETIC_ACTIONS_H__

#include "../dd_share.h"

// These must correspond the action_t's in the actions array!
// Things that are needed in building ticcmds should be here.
typedef enum 
{
	// Game controls.
	HA_TURNLEFT,
	HA_TURNRIGHT,
	HA_FORWARD,
	HA_BACKWARD,
	HA_STRAFELEFT,
	HA_STRAFERIGHT,
	HA_FIRE,
	HA_USE,
	HA_STRAFE,
	HA_SPEED,
	HA_FLYUP,
	HA_FLYDOWN,
	HA_FLYCENTER,
	HA_LOOKUP,
	HA_LOOKDOWN,
	HA_LOOKCENTER,
	HA_USEARTIFACT,
	HA_MLOOK,
	HA_JLOOK,
	HA_NEXTWEAPON,
	HA_PREVIOUSWEAPON,
	HA_WEAPON1,
	HA_WEAPON2,
	HA_WEAPON3,
	HA_WEAPON4,
	HA_WEAPON5,
	HA_WEAPON6,
	HA_WEAPON7,
	HA_WEAPON8,
	HA_WEAPON9,

	// Item hotkeys.
	HA_INVULNERABILITY,
	HA_INVISIBILITY,
	HA_HEALTH,
	HA_SUPERHEALTH,
	HA_TOMEOFPOWER,
	HA_TORCH,
	HA_FIREBOMB,
	HA_EGG,
	HA_FLY,
	HA_TELEPORT,
	HA_PANIC,

	// Game system actions.
	HA_STOPDEMO,		

	HA_JUMP,

	NUM_ACTIONS
} haction_t;

// This is the actions array.
extern action_t actions[NUM_ACTIONS+1];

#endif