#ifndef __JHERETIC_NETCL_H__
#define __JHERETIC_NETCL_H__

#include "DoomDef.h"
#include "H_Net.h"

void NetCl_UpdateGameState(byte *data);
void NetCl_SpawnMissile(int type, fixed_t x, fixed_t y, fixed_t z, 
						fixed_t momx, fixed_t momy, fixed_t momz);
void NetCl_UpdatePlayerState(byte *data, int plrNum);
void NetCl_UpdatePSpriteState(byte *data);
void NetCl_PlaySound(byte *data);
void NetCl_PlaySectorSound(byte *data);
void NetCl_Intermission(byte *data);
void NetCl_Finale(byte *data);
void NetCl_UpdatePlayerInfo(byte *data);
void NetCl_SendPlayerInfo();

#endif