#ifndef __DOOMSDAY_CLIENT_H__
#define __DOOMSDAY_CLIENT_H__

#define	SHORTP(x)		(*(short*) (x))
#define	USHORTP(x)		(*(unsigned short*) (x))

extern int predict_tics;

// 
// cl_main.c
//
extern boolean handshake_received;
extern int game_ready;

void Cl_CleanUp();
void Cl_GetPackets(void);
void Cl_Ticker(void);
int Cl_GameReady();

// 
// cl_mobj.c
//
void Cl_InitClientMobjs();
void Cl_CleanClientMobjs();
void Cl_SwapBuffers();
void Cl_HandleFrame();
void Cl_PredictMovement();
void Cl_UnpackMobj(mobj_t *mobj);
void Cl_UnsetThingPosition(mobj_t *thing);
void Cl_SetThingPosition(mobj_t *thing);

//
// cl_world.c
//
void Cl_InitMovers();
void Cl_RemoveMovers();
void Cl_HandleSectorUpdate();
void Cl_HandleWallUpdate();
void Cl_HandlePlaneSound();

#endif