//**************************************************************************
//**
//** NET_MSG.C
//**
//** Buffer overflow checks *ARE NOT* made.
//** The caller must know what it's doing.
//** There don't provide the casual flexibility of the Quake messages
//** but at least they working. :-)
//**
//**************************************************************************

// HEADER FILES ------------------------------------------------------------

#include "dd_def.h"
#include "dd_net.h"

// MACROS ------------------------------------------------------------------

// TYPES -------------------------------------------------------------------

// EXTERNAL FUNCTION PROTOTYPES --------------------------------------------

// PUBLIC FUNCTION PROTOTYPES ----------------------------------------------

// PRIVATE FUNCTION PROTOTYPES ---------------------------------------------

// EXTERNAL DATA DECLARATIONS ----------------------------------------------

// PUBLIC DATA DEFINITIONS -------------------------------------------------

// PRIVATE DATA DEFINITIONS ------------------------------------------------

// CODE --------------------------------------------------------------------

void Msg_Begin(int type)
{
	netbuffer.cursor = netbuffer.msg.data;
	netbuffer.length = 0;
	netbuffer.msg.type = type;
}

void Msg_WriteByte(byte b)
{
	*netbuffer.cursor++ = b;
}

void Msg_WriteShort(short w)
{
	*(short*) netbuffer.cursor = w;
	netbuffer.cursor += 2;
}

void Msg_WriteLong(int l)
{
	*(int*) netbuffer.cursor = l;
	netbuffer.cursor += 4;
}

void Msg_Write(void *src, int len)
{
	memcpy(netbuffer.cursor, src, len);
	netbuffer.cursor += len;
}

byte Msg_ReadByte()
{
	return *netbuffer.cursor++;
}

short Msg_ReadShort()
{
	netbuffer.cursor += 2;
	return *(short*) (netbuffer.cursor-2);
}

int Msg_ReadLong()
{
	netbuffer.cursor += 4;
	return *(int*) (netbuffer.cursor-4);
}

void Msg_Read(void *dest, int len)
{
	memcpy(dest, netbuffer.cursor, len);
	netbuffer.cursor += len;
}

int Msg_Offset()
{
	return netbuffer.cursor - netbuffer.msg.data;
}

int Msg_MemoryLeft()
{
	return NETBUFFER_MAXDATA - (netbuffer.cursor - netbuffer.msg.data);
}

boolean Msg_End()
{
	return (netbuffer.cursor-netbuffer.msg.data >= netbuffer.length);
}